﻿namespace TabsStudioOrderKeeper
{
    class Model
    {
        public Model()
        {
            tabsOrder = new System.Collections.Generic.List<TabOrder>();
        }

        public void Reset()
        {
            tabsOrder.Clear();
        }

        public void SetTabOrder(TabOrder tab)
        {
            foreach (TabOrder i in tabsOrder)
            {
                if (i.Match(tab.tab))
                {
                    i.before = tab.before;
                    i.after = tab.after;
                    return;
                }
            }
            tabsOrder.Add(tab);
        }

        public TabOrder GetTabOrder(string tab)
        {
            foreach (TabOrder i in tabsOrder)
            {
                if (i.Match(tab))
                    return i;
            }
            return null;
        }

        private System.Collections.Generic.List<TabOrder> tabsOrder;
    }
}
